Bug 1956051 - Review Request: R-vcd - Visualizing categorical data
Summary: Review Request: R-vcd - Visualizing categorical data
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-02 10:49 UTC by Iztok Fister Jr.
Modified: 2021-05-08 02:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
sanjay.ankur: fedora-review+


Attachments (Terms of Use)

Description Iztok Fister Jr. 2021-05-02 10:49:43 UTC
Spec URL: https://raw.githubusercontent.com/firefly-cpp/rpm-vcd/main/R-vcd.spec
SRPM URL: https://github.com/firefly-cpp/rpm-vcd/raw/main/R-vcd-1.4.8-1.fc33.src.rpm
Description: Visualization techniques, data sets, summary and inference procedures aimed particularly at categorical data. Special emphasis is given to highly extensible grid graphics. The package was package was originally inspired
by the book "Visualizing Categorical Data" by Michael Friendly and is now
the main support package for a new book, "Discrete Data Analysis with R"
by Michael Friendly and David Meyer (2015).

Fedora Account System Username: iztokf

Comment 1 Ankur Sinha (FranciscoD) 2021-05-06 17:30:40 UTC
The rawhide chroot is currently broken, so I cant get fedora-review to complete. We'll have to wait for this to be fixed.

Comment 2 Ankur Sinha (FranciscoD) 2021-05-07 18:34:50 UTC
Looks good XXX APPROVED XXX

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package have the default element marked as %%doc :doc, DESCRIPTION,
  CITATION
^
False positive.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 178 files have unknown license.
     Detailed output of licensecheck in /home/asinha/dump/fedora-
     reviews/1956051-R-vcd/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

R:
[x]: Package contains the mandatory BuildRequires.
[x]: The package has the standard %install section.
[x]: Package requires R-core.

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
^
It seems to be common practice for cran packages to not include license texts.

[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
^
Not tested this

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

R:
[x]: The %check macro is present
[x]: Latest version is packaged.
     Note: Latest upstream version is 1.4.8, packaged version is 1.4.8

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: R-vcd-1.4.8-1.fc35.noarch.rpm
          R-vcd-1.4.8-1.fc35.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Source checksums
----------------
ftp://cran.r-project.org/pub/R/contrib/main/vcd_1.4-8.tar.gz :
  CHECKSUM(SHA256) this package     : 236fcb183152f6e9d131eeb3931d5a064a5ff79be91e4533df9148fd2ff41e0c
  CHECKSUM(SHA256) upstream package : 236fcb183152f6e9d131eeb3931d5a064a5ff79be91e4533df9148fd2ff41e0c


Requires
--------
R-vcd (rpmlib, GLIBC filtered):
    R(ABI)
    R(MASS)
    R(colorspace)
    R(grDevices)
    R(grid)
    R(lmtest)
    R(stats)
    R(utils)
    R-core



Provides
--------
R-vcd:
    R(vcd)
    R-vcd



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 1956051
Buildroot used: fedora-rawhide-x86_64
Active plugins: R, Shell-api, Generic
Disabled plugins: Python, Perl, PHP, C/C++, SugarActivity, Java, fonts, Haskell, Ocaml
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Iztok Fister Jr. 2021-05-07 19:09:14 UTC
Thanks Ankur for another review.

Comment 4 Gwyn Ciesla 2021-05-07 19:17:28 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/R-vcd

Comment 5 Fedora Update System 2021-05-07 20:50:12 UTC
FEDORA-2021-af5fc6c05b has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-af5fc6c05b

Comment 6 Fedora Update System 2021-05-07 20:50:13 UTC
FEDORA-2021-4fe46f3160 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-4fe46f3160

Comment 7 Fedora Update System 2021-05-07 20:50:13 UTC
FEDORA-2021-a91186b5a7 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-a91186b5a7

Comment 8 Fedora Update System 2021-05-08 02:08:03 UTC
FEDORA-2021-a91186b5a7 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-a91186b5a7 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-a91186b5a7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-05-08 02:10:21 UTC
FEDORA-2021-4fe46f3160 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-4fe46f3160 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-4fe46f3160

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-05-08 02:18:26 UTC
FEDORA-2021-af5fc6c05b has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-af5fc6c05b \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-af5fc6c05b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.


Note You need to log in before you can comment on or make changes to this bug.